Subject: bug#29839: 26.0; Bad xrefs in (elisp) `Sequence Functions'

From: Eli Zaretskii <[email-masked]>
Date: Mon, 25 Dec 2017 18:18:44 +0200

> Date: Sun, 24 Dec 2017 11:58:25 -0800 (PST)
> From: Drew Adams <[email-masked]>
> Cc: [email-masked]
> 
> > > > Is it possible that the Info files you have installed have DOS CR-LF
> > > > EOLs?  (If they do, you will see it in the mode line, where the EOL
> > > > format indicator is shown.)  If so, they were produced incorrectly,
> > > > and to fix them, you need to convert them to Unix EOL format.
> > >
> > > I see this in Emacs _releases_, with `emacs -Q', starting
> > > with Emacs 24.5 - no such problem with Emacs 24.4 or prior.
> > >
> > > I also see it with Emacs 26 and 27 pretests (with `emacs -Q').
> > 
> > Can you please answer my question about the EOL format of these Info
> > files?  Once again, if they have DOS EOL, the reason for the problem
> > is crystal clear.
> 
> The mode line says this: U(Unix)%%-.
> So no MS-DOS end-of-line translation, AFAIK.
> Does that answer your question?

Yes, it does, thanks.  It means the EOL format is not the problem.

I have now downloaded
https://alpha.gnu.org/gnu/emacs/pretest/windows/emacs-26.0.90-x86_64.zip,
extracted elisp.info from it, and looked at it in "emacs -Q" on my
system.  I cannot reproduce the problem you reported: those 2
cross-references lead me to the description of 'nth', as expected.

So now I'm even more puzzled by your report.  Can you please verify:

  . the Info file you are looking at is from the Emacs 26.0.90 pretest
  . the Emacs binary you use to look at it is from that pretest, as it
    is available now from alpha.gnu.org